<?php
/**
 * Post Options
 *
 * @package Rhythm Blog
 */

$wp_customize->add_section(
	'rhythm_blog_post_options',
	array(
		'title' => esc_html__( 'Post Options', 'rhythm-blog' ),
		'panel' => 'rhythm_blog_theme_options',
	)
);

// Post Options - Hide Date.
$wp_customize->add_setting(
	'rhythm_blog_post_hide_date',
	array(
		'default'           => false,
		'sanitize_callback' => 'rhythm_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Rhythm_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'rhythm_blog_post_hide_date',
		array(
			'label'   => esc_html__( 'Hide Date', 'rhythm-blog' ),
			'section' => 'rhythm_blog_post_options',
		)
	)
);

// Post Options - Hide Author.
$wp_customize->add_setting(
	'rhythm_blog_post_hide_author',
	array(
		'default'           => false,
		'sanitize_callback' => 'rhythm_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Rhythm_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'rhythm_blog_post_hide_author',
		array(
			'label'   => esc_html__( 'Hide Author', 'rhythm-blog' ),
			'section' => 'rhythm_blog_post_options',
		)
	)
);

// Post Options - Hide Category.
$wp_customize->add_setting(
	'rhythm_blog_post_hide_category',
	array(
		'default'           => false,
		'sanitize_callback' => 'rhythm_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Rhythm_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'rhythm_blog_post_hide_category',
		array(
			'label'   => esc_html__( 'Hide Category', 'rhythm-blog' ),
			'section' => 'rhythm_blog_post_options',
		)
	)
);

// Post Options - Hide Tag.
$wp_customize->add_setting(
	'rhythm_blog_post_hide_tags',
	array(
		'default'           => false,
		'sanitize_callback' => 'rhythm_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Rhythm_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'rhythm_blog_post_hide_tags',
		array(
			'label'   => esc_html__( 'Hide Tag', 'rhythm-blog' ),
			'section' => 'rhythm_blog_post_options',
		)
	)
);

// Post Options - Related Post Label.
$wp_customize->add_setting(
	'rhythm_blog_post_related_post_label',
	array(
		'default'           => __( 'Related Posts', 'rhythm-blog' ),
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'rhythm_blog_post_related_post_label',
	array(
		'label'    => esc_html__( 'Related Posts Label', 'rhythm-blog' ),
		'section'  => 'rhythm_blog_post_options',
		'settings' => 'rhythm_blog_post_related_post_label',
		'type'     => 'text',
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'rhythm_blog_post_related_post_label',
		array(
			'selector' => '.related-posts h2',
			'settings' => 'rhythm_blog_post_related_post_label',
		)
	);
}
